QGIS Application - Bug report #15675

Attribute table no longer shows features with OGR GeometryCollection

2016-10-07 04:42 AM - Even Rouault

Status: Closed

Priority: Normal

Assignee: Even Rouault
Category: Data Provider/OGR

Affected QGIS version:2.14.6
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23598

Description

When trying to reproduce #10485, | noticed a regression. Now aAttribute table no longer shows features with OGR GeometryCollection

Associated revisions

Revision a5a18c2e - 2016-10-07 01:42 PM - Even Rouault

[OGR provider] Make feature iterator work on GeometryCollection sublayers

When trying to reproduce http://hub.qgis.org/issues/10485, | noticed a regression.

Now attribute table no longer shows features with OGR GeometryCollection.

Fixes also issues where sublayer geometry type is too strict regarding 2D vs 2.5D

geometry types.

Fixes #15675

Revision 319bb9d0 - 2016-10-07 01:55 PM - Even Rouault

[OGR provider] Make feature iterator work on GeometryCollection sublayers

When trying to reproduce http://hub.qgis.org/issues/10485, | noticed a regression.

Now attribute table no longer shows features with OGR GeometryCollection.

Fixes also issues where sublayer geometry type is too strict regarding 2D vs 2.5D

geometry types.

Fixes #15675

Revision d6ef5d21 - 2016-10-07 01:55 PM - Even Rouault

[OGR provider] Make feature iterator work on GeometryCollection sublayers

When trying to reproduce http://hub.qgis.org/issues/10485, | noticed a regression.

Now attribute table no longer shows features with OGR GeometryCollection.

Fixes also issues where sublayer geometry type is too strict regarding 2D vs 2.5D

geometry types.

2025-04-27

12


http://hub.qgis.org/issues/10485
http://hub.qgis.org/issues/10485
http://hub.qgis.org/issues/10485

Fixes #15675

Revision bc5ac29d - 2016-10-07 02:00 PM - Even Rouault

[OGR provider] Make feature iterator work on GeometryCollection sublayers

When trying to reproduce http://hub.qgis.org/issues/10485, | noticed a regression.

Now attribute table no longer shows features with OGR GeometryCollection.

Fixes also issues where sublayer geometry type is too strict regarding 2D vs 2.5D

geometry types.
Fixes #15675
Conflicts:

src/providers/ogr/qgsogrfeatureiterator.cpp

tests/src/python/test_provider_ogr.py

History

#1 - 2016-10-07 04:43 AM - Even Rouault
- Status changed from Open to Closed

Fixed in changeset commit:"a5a18c2eb1677b6d27b45adff0cb296c5677dd7b".

#2 - 2016-10-07 05:03 AM - Even Rouault
- Affected QGIS version changed from master to 2.14.6
- Target version set to Version 2.14
